package com.heyu.api.data.dao.vv;
/**
* <p>
* 逆向子单表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-27
*/
import com.heyu.api.data.entity.vv.VvReverseOrderLineEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.mybatis.plugin.annotations.IN;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VvReverseOrderLineDao extends BaseMapper<VvReverseOrderLineEntity> {


	VvReverseOrderLineEntity selectVvReverseOrderLineById(@Param("id")Long id);


	Long insertVvReverseOrderLine(VvReverseOrderLineEntity vvReverseOrderLine);


	Long insertOrUpdateVvReverseOrderLine(VvReverseOrderLineEntity vvReverseOrderLine);


	int updateVvReverseOrderLineById(VvReverseOrderLineEntity vvReverseOrderLine);


	int updateCoverVvReverseOrderLineById(VvReverseOrderLineEntity vvReverseOrderLine);


	int deleteVvReverseOrderLineById(@Param("id")Long id);


	List<VvReverseOrderLineEntity> selectVvReverseOrderLineByReverseOrderIds(@IN List<Long> reverseOrderId);


	List<VvReverseOrderLineEntity> selectVvReverseOrderLineByReverseOrderId(@IN Long reverseOrderId);
}